﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace XamDockManagerMVVMDemo
{
    public class SaveDockManagerCommand : ICommand
    {
        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        string fileName = "file.xml";
        public void Execute(object parameter)
        {
            XamDockManager dockManager = parameter as XamDockManager;

            if (File.Exists(fileName))
            {
                File.Delete(fileName);
            }

            using (FileStream fs = new FileStream(fileName, FileMode.CreateNew, FileAccess.ReadWrite))
            {
                dockManager.SaveLayout(fs);
            }
        }
    }
}
